services:
  elk:
    image: "registry.on-premise.itarian.com/op-elk:1.4.2"
    networks:
      - itsm
    volumes:
      - "/opt/itsm/elk/elasticsearch:/var/lib/elasticsearch"
    restart: always
  web:
    image: "registry.on-premise.itarian.com/op-web:6.32.33138.19120.3"
    ports:
      - 443:443
      - 80:80
    networks:
      - itsm
    depends_on:
      - postgres
      - mail
      - ms_rebranding
      - redis
      - ms_cherga
      - memcache
    volumes:
      - "/opt/itsm/web/runtime:/var/www/mdm/src/protected/runtime"
      - "/opt/itsm/web/certs:/etc/nginx/certs"
      - "/opt/itsm/verdict-db:/usr/src/app/storage"
      - "itsm-web-assets:/var/www/mdm/old-assets"
      - "/opt/itsm/web/assets:/var/www/mdm/assets"
    environment:
      - ITSM_DOMAIN
      - ITSM_XMPP_HOST
      - ITSM_XMPP_IP
      - ITSM_RMM_IP
      - ITSM_WEB_IP
      - ITSM_PLUGINS_IP
      - ITSM_SMTP_HOST
      - ITSM_SMTP_AUTH
      - ITSM_SMTP_LOGIN
      - ITSM_SMTP_PASSWORD
      - ITSM_SMTP_FROM
      - ITSM_SMTP_FROM_NAME
      - ITSM_TURN_SERVERS
      - ITSM_TURN_SECRET=itsm-turn-secret
      - ITSM_DEBUG
      - BIP_PUBLIC_SUBDOMAIN=bip
      - ITSM_KIBANA_BA_PASS
      - ITSM_RABBIT_BA_PASS
      - ITSM_CONSUL_BA_PASS
      - ITSM_ONPREMISE_BUILD_VERSION=1.7
      - ITSM_WEB_BUILD_SOURCE=registry.on-premise.itarian.com/op-web
      - ITSM_WEB_BUILD_VERSION=6.32.33138.19120.3
      - ITSM_CONSUL_BUILD_SOURCE=registry.on-premise.itarian.com/op-consul
      - ITSM_CONSUL_BUILD_VERSION=1.3.2.2
      - ITSM_MS_DC_BUILD_VERSION=1.3.18-4
      - ITSM_MS_DC_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-dc
      - ITSM_MS_CUSTOMER_BUILD_VERSION=2.1.10
      - ITSM_MS_CUSTOMER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-customer
      - ITSM_MS_COMPANY_BUILD_VERSION=2.0.9
      - ITSM_MS_COMPANY_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-company
      - ITSM_MS_DEVICE_BUILD_VERSION=2.0.12
      - ITSM_MS_DEVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-device
      - ITSM_MS_FR_UI_BUILD_VERSION=2.2.51
      - ITSM_MS_FR_UI_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-fr-ui
      - ITSM_MS_FR_TASKER_BUILD_VERSION=1.1.0-2
      - ITSM_MS_FR_TASKER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-fr-tasker
      - ITSM_MS_AUDIT_LOG_BUILD_VERSION=1.5.23
      - ITSM_MS_AUDIT_LOG_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-al
      - ITSM_MS_AUDIT_LOG_TASKER_BUILD_VERSION=1.1.1
      - ITSM_MS_AUDIT_LOG_TASKER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-al-tasker
      - ITSM_MS_GLOBAL_FILE_EVENT_BUILD_VERSION=2.4.117
      - ITSM_MS_GLOBAL_FILE_EVENT_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-gfe
      - ITSM_MS_REPORTS_CSV_BUILD_VERSION=1.3.6
      - ITSM_MS_REPORTS_CSV_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-report
      - ITSM_MS_REBRANDING_BUILD_VERSION=1.0.11
      - ITSM_MS_REBRANDING_BUILD_SOURCE=registry.on-premise.itarian.com/op-rcc-gen
      - ITSM_MS_RMM_COLLECTOR_BUILD_VERSION=2.9.1
      - ITSM_MS_RMM_COLLECTOR_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-collector
      - ITSM_MS_RMM_COLLECTOR_UI_BUILD_VERSION=2.2.0
      - ITSM_MS_RMM_COLLECTOR_UI_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-collector-ui
      - ITSM_MS_RMM_SEARCHER_BUILD_VERSION=2.4.0
      - ITSM_MS_RMM_SEARCHER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rmm-searcher
      - ITSM_MS_AUTH_CACHED_PROXY_BUILD_VERSION=1.1.14
      - ITSM_MS_AUTH_CACHED_PROXY_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-auth-cached-proxy
      - ITSM_MS_RTDC_API_BUILD_VERSION=1.13.49
      - ITSM_MS_RTDC_API_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rtdc-api
      - ITSM_MS_RTDC_RELAY_BUILD_VERSION=2.0.73
      - ITSM_MS_RTDC_RELAY_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-rtdc-relay
      - ITSM_MS_BIP_BUILD_VERSION=2.4.23
      - ITSM_MS_BIP_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-bip
      - ITSM_MS_CHERGA_BUILD_VERSION=1.7.7
      - ITSM_MS_CHERGA_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-cherga
      - ITSM_MS_TASKER_BUILD_VERSION=1.5.17
      - ITSM_MS_TASKER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-tasker
      - ITSM_MS_SCHEDULER_BUILD_VERSION=0.0.6
      - ITSM_MS_SCHEDULER_BUILD_SOURCE=registry.on-premise.itarian.com/op-ms-scheduler
      - ITSM_STAT_BUILD_VERSION=1.0.2
      - ITSM_STAT_BUILD_SOURCE=registry.on-premise.itarian.com/op-stat
      - ITSM_STAT_EXPORTER_BUILD_VERSION=0.0.4
      - ITSM_STAT_EXPORTER_BUILD_SOURCE=registry.on-premise.itarian.com/op-stats-exporter
      - ITSM_BIN_WIN_CRC_BUILD_VERSION=6.32.32996.19120
      - ITSM_BIN_WIN_CRC_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-win-crc
      - ITSM_BIN_OSX_BUILD_VERSION=6.32.32995.19120
      - ITSM_BIN_OSX_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-osx-crc
      - ITSM_BIN_AV_DB_BUILD_VERSION=1.0.20191210
      - ITSM_BIN_AV_DB_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-av-db
      - ITSM_BIN_CDN_BUILD_VERSION=1.1.20191210
      - ITSM_BIN_CDN_BUILD_SOURCE=registry.on-premise.itarian.com/op-bin-cdn
      - ITSM_BE_MIGRATOR_BUILD_VERSION=0.1.8.4
      - ITSM_BE_MIGRATOR_BUILD_SOURCE=registry.on-premise.itarian.com/op-pm-spm-migrator
      - ITSM_BE_ADMIN_BUILD_VERSION=0.0.6
      - ITSM_BE_ADMIN_BUILD_SOURCE=registry.on-premise.itarian.com/op-pm-spm-admin-portal
      - ITSM_BE_PM_SERVICE_BUILD_VERSION=1.10.5
      - ITSM_BE_PM_SERVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-pm-service
      - ITSM_BE_PM_CONSUMER_BUILD_VERSION=2.10.4
      - ITSM_BE_PM_CONSUMER_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-pm-consumer
      - ITSM_BE_ALERT_SERVICE_BUILD_VERSION=2.8.8
      - ITSM_BE_ALERT_SERVICE_BUILD_SOURCE=registry.on-premise.itarian.com/op-be-alert-service
    restart: always
  redis:
    image: "redis:5.0.2"
    restart: always
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
    networks:
      - itsm
    volumes:
      - "/opt/itsm/redis:/data"
  memcache:
    image: "memcached:1.5.14"
    restart: always
    networks:
      - itsm
  postgres:
    image: "postgres:9.6.11"
    restart: always
    environment:
      POSTGRES_PASSWORD: postgres
    volumes:
      - "/opt/itsm/postgres:/var/lib/postgresql/data"
    networks:
      - itsm
  mail:
    image: "namshi/smtp:latest"
    networks:
      - itsm
    restart: always
  rabbit:
    image: "rabbitmq:3.7.8-management"
    environment:
      RABBITMQ_DEFAULT_USER: itsm
      RABBITMQ_DEFAULT_PASS: itsm
    networks:
      - itsm
    hostname: itsm-rabbit
    restart: always
  consul:
    image: "registry.on-premise.itarian.com/op-consul:1.3.2.2"
    hostname: consul
    networks:
      - itsm
    environment:
      - ITSM_DOMAIN
    volumes:
      - "/opt/itsm/consul/config:/consul/config"
      - "/opt/itsm/consul/data:/consul/data"
    restart: always
  mongo:
    image: "mongo:3.4.10"
    networks:
      - itsm
    volumes:
      - "/opt/itsm/mongo/data:/data/db"
    restart: always
  ms_dc:
    image: "registry.on-premise.itarian.com/op-ms-dc:1.3.18-4"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
    restart: always
  ms_customer:
    image: "registry.on-premise.itarian.com/op-ms-customer:2.1.10"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_company:
    image: "registry.on-premise.itarian.com/op-ms-company:2.0.9"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - postgres
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_device:
    image: "registry.on-premise.itarian.com/op-ms-device:2.0.12"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - postgres
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  ms_fr_ui:
    image: "registry.on-premise.itarian.com/op-ms-fr-ui:2.2.51"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - mongo
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    volumes:
      - "/opt/itsm/verdict-db:/usr/src/app/storage"
  ms_fr_tasker:
    image: "registry.on-premise.itarian.com/op-ms-fr-tasker:1.1.0-2"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - mongo
    restart: always
  ms_audit_log:
    image: "registry.on-premise.itarian.com/op-ms-al:1.5.23"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - elk
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_audit_log_tasker:
    image: "registry.on-premise.itarian.com/op-ms-al-tasker:1.1.1"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - elk
    restart: always
  ms_global_file_event:
    image: "registry.on-premise.itarian.com/op-ms-gfe:2.4.117"
    environment:
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    networks:
      - itsm
    depends_on:
      - rabbit
      - consul
      - mongo
    restart: always
  ms_reports_csv:
    image: "registry.on-premise.itarian.com/op-ms-report:1.3.6"
    volumes:
      - "/opt/itsm/web/assets:/var/downloads"
    networks:
      - itsm
    depends_on:
      - consul
      - rabbit
      - web
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    environment:
      ITSM_ENV: itsm
      ITSM_CONFIG_MANAGER: consul
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_WEB_IP: ${ITSM_WEB_IP}
      ITSM_SERVICE_START_DELAY: 40
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /on-premise-bootstrap.sh
      "
  ms_rebranding:
    image: "registry.on-premise.itarian.com/op-rcc-gen:1.0.11"
    networks:
      - itsm
    depends_on:
      - consul
    restart: always
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /bootstrap.sh
      "
  ms_rmm_collector:
    image: "registry.on-premise.itarian.com/op-ms-rmm-collector:2.9.1"
    networks:
      - itsm
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_rmm_collector_ui:
    image: "registry.on-premise.itarian.com/op-ms-rmm-collector-ui:2.2.0"
    networks:
      - itsm
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_LOG_STDOUT_DISABLED: "true"
      ITSM_LOG_INTERNAL_ENABLED: "true"
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    depends_on:
      - consul
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    restart: always
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_rmm_searcher:
    image: "registry.on-premise.itarian.com/op-ms-rmm-searcher:2.4.0"
    networks:
      - itsm
    depends_on:
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_LOG_STDOUT_DISABLED: "true"
      ITSM_LOG_INTERNAL_ENABLED: "true"
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_auth_cached_proxy:
    image: "registry.on-premise.itarian.com/op-ms-auth-cached-proxy:1.1.14"
    networks:
      - itsm
    depends_on:
      - web
      - consul
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_SERVICE_START_DELAY: 40
    entrypoint: /on-premise-bootstrap.sh
    restart: always
  ms_rtdc_api:
    image: "registry.on-premise.itarian.com/op-ms-rtdc-api:1.13.49"
    networks:
      - itsm
    depends_on:
      - redis
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_MS_NODE_ID: "01"
      ITSM_CA_CERT_PATH:
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_SERVICE_START_DELAY: 40
    extra_hosts:
      - "${ITSM_XMPP_HOST}:${ITSM_XMPP_IP}"
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /on-premise-bootstrap.sh
      "
    restart: always
    volumes:
      - "/opt/itsm/rtdc-api/certs:/opt/certs"
  ms_rtdc_relay:
    image: "registry.on-premise.itarian.com/op-ms-rtdc-relay:2.0.73"
    networks:
      - itsm
    depends_on:
      - redis
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_MS_NODE_ID: "01"
      ITSM_SERVICE_RESOLVER: "docker"
    extra_hosts:
      - "${ITSM_XMPP_HOST}:${ITSM_XMPP_IP}"
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    entrypoint: "/bin/bash /on-premise-bootstrap.sh"
    restart: always
  itsm_turn:
    image: "registry.on-premise.itarian.com/op-turn:1.0.1"
    network_mode: "host"
    environment:
      - EXTERNAL_IP
      - STATIC_AUTH_SECRET=itsm-turn-secret
      - REALM=cmdm
    volumes:
      - "/opt/itsm/turn:/var/lib/turn/turndb"
    restart: always
  ms_bip:
    image: "registry.on-premise.itarian.com/op-ms-bip:2.4.23"
    networks:
      - itsm
    depends_on:
      - consul
      - mongo
      - cdn
      - web
    environment:
      ITSM_ENV: itsm
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_SERVICE_START_DELAY: 40
      BIP_PUBLIC_SUBDOMAIN: "bip"
      BIP_PUBLIC_SCHEME: "https"
      ITSM_SERVICE_RESOLVER: "docker"
    entrypoint: "/on-premise-bootstrap.sh"
    restart: always
    volumes:
      - "/opt/itsm/bip/customer:/opt/bulk-installation-package/customer"
  ms_cherga:
    image: "registry.on-premise.itarian.com/op-ms-cherga:1.7.7"
    networks:
      - itsm
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    extra_hosts:
      - "${ITSM_WEB_HOST}:${ITSM_WEB_IP}"
    depends_on:
      - rabbit
      - consul
      - mongo
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_tasker:
    image: "registry.on-premise.itarian.com/op-ms-tasker:1.5.17"
    networks:
      - itsm
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_DOMAIN: ${ITSM_DOMAIN}
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
    command: >
      /bin/bash -c "
        sleep 60;
        /bin/bash /bootstrap.sh
      "
  ms_scheduler:
    image: "registry.on-premise.itarian.com/op-ms-scheduler:0.0.6"
    networks:
      - itsm
    environment:
      ITSM_ENV: itsm
      ITSM_CONSUL_URI: http://consul:8500
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
    depends_on:
      - consul
      - mongo
      - rabbit
    command: >
      /bin/bash -c "
        sleep 40;
        /bin/bash /bootstrap.sh
      "
  stat:
    image: "registry.on-premise.itarian.com/op-stat:1.0.2"
    networks:
      - itsm
    depends_on:
      - rabbit
    restart: always
  stat_exporter:
    image: "registry.on-premise.itarian.com/op-stats-exporter:0.0.4"
    networks:
      - itsm
    depends_on:
      - stat
      - mongo
    restart: always
    environment:
      - ITSM_DOMAIN
  bin_win_crc:
    image: "registry.on-premise.itarian.com/op-bin-win-crc:6.32.32996.19120"
    volumes:
      - "itsm-bin-win-crc:/opt/binaries"
  bin_osx_crc:
    image: "registry.on-premise.itarian.com/op-bin-osx-crc:6.32.32995.19120"
    volumes:
      - "itsm-bin-osx-crc:/opt/binaries"
  bin_av_db:
    image: "registry.on-premise.itarian.com/op-bin-av-db:1.0.20191210"
    networks:
      - itsm
    restart: always
  cdn:
    image: "registry.on-premise.itarian.com/op-bin-cdn:1.1.20191210"
    networks:
      - itsm
    restart: always
    volumes:
      - type: volume
        source: "itsm-bin-win-crc"
        target: /var/cdn/itsm/release/win/remote_control/latest
        volume:
          nocopy: true
      - type: volume
        source: "itsm-bin-osx-crc"
        target: /var/cdn/itsm/release/mac/remote_control/latest
        volume:
          nocopy: true
  be_migrator:
    image: "registry.on-premise.itarian.com/op-pm-spm-migrator:0.1.8.4"
    networks:
      - itsm
    depends_on:
      - postgres
  be_admin:
    image: "registry.on-premise.itarian.com/op-pm-spm-admin-portal:0.0.6"
    networks:
      - itsm
    depends_on:
      - postgres
      - be_migrator
    environment:
      ITSM_DOMAIN:
      ITSM_SERVICE_START_DELAY: 25
    restart: always
  be-pm-service:
    image: "registry.on-premise.itarian.com/op-be-pm-service:1.10.5"
    networks:
      - itsm
    depends_on:
      - postgres
      - redis
      - rabbit
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
      ITSM_DOMAIN: ${ITSM_DOMAIN}
    restart: always
    entrypoint: "/on-premise-bootstrap.sh"
  be-pm-consumer:
    image: "registry.on-premise.itarian.com/op-be-pm-consumer:2.10.4"
    networks:
      - itsm
    depends_on:
      - postgres
      - redis
      - rabbit
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
  be-alert-service:
    image: "registry.on-premise.itarian.com/op-be-alert-service:2.8.8"
    networks:
      - itsm
    depends_on:
      - postgres
      - rabbit
      - consul
    environment:
      ITSM_SERVICE_START_DELAY: 40
      ITSM_ENV: "itsm"
      ITSM_CONSUL_URI: "http://consul:8500"
      ITSM_SERVICE_RESOLVER: "docker"
    restart: always
networks:
  itsm:

volumes:
  itsm-web-assets:
  itsm-bin-win-crc:
  itsm-bin-osx-crc:

